<?php
/**
 * TemplatesApiTest
 * PHP version 5
 *
 * @category Class
 * @package  text-magic
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * TextMagic
 *
 * TextMagic REST API
 *
 * OpenAPI spec version: 2
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 * Swagger Codegen version: 2.4.7
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Please update the test case below to test the endpoint.
 */

namespace text-magic;

use \text-magic\Configuration;
use \text-magic\ApiException;
use \text-magic\ObjectSerializer;

/**
 * TemplatesApiTest Class Doc Comment
 *
 * @category Class
 * @package  text-magic
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */
class TemplatesApiTest extends \PHPUnit_Framework_TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for apiV2TemplatesIdDelete
     *
     * Delete a single template..
     *
     */
    public function testApiV2TemplatesIdDelete()
    {
    }

    /**
     * Test case for createTemplate
     *
     * Create a new template from the submitted data..
     *
     */
    public function testCreateTemplate()
    {
    }

    /**
     * Test case for deleteTemplatesBulk
     *
     * Delete template by given ID(s) or delete all templates..
     *
     */
    public function testDeleteTemplatesBulk()
    {
    }

    /**
     * Test case for getAllTemplates
     *
     * Get all user templates..
     *
     */
    public function testGetAllTemplates()
    {
    }

    /**
     * Test case for getTemplate
     *
     * Get a single template..
     *
     */
    public function testGetTemplate()
    {
    }

    /**
     * Test case for searchTemplates
     *
     * Find user templates by given parameters..
     *
     */
    public function testSearchTemplates()
    {
    }

    /**
     * Test case for updateTemplate
     *
     * Update existing template..
     *
     */
    public function testUpdateTemplate()
    {
    }
}
